docs
UAEN
API Reference

Execute Workflow

Execute a workflow definition. This creates a WorkflowExecution and starts processing. Body (optional): ```json {"input_config": {"type": "single_file", "file_url": "https://example.com/file.pdf"}} ``` or: ```json {"input_config": {"type": "file_list", "file_urls": ["https://example.com/file1.pdf"]}} ```

POST/api/v1/workflows/workflows/{workflow_id}/execute

Authorizations

X-API-Keystringheaderrequired
Your API key for authentication

Path Parameters

workflow_idintegerpathrequired
Workflow ID

Body Parameters

input_configobjectbody
Input configuration with type (single_file or file_list) and file URL(s)

Cookies

wos-sessionstringcookie
Session cookie
access_tokenstringcookie
Access token cookie
datalab_active_teamstringcookie
Active team cookie

Response

Successful Response
Execute Workflow
import requests

url = "https://www.datalab.to/api/v1/workflows/workflows/{workflow_id}/execute"
headers = {"X-API-Key": "<api-key>"}
payload = {}

response = requests.post(url, json=payload, headers=headers)
print(response.text)
422Error
{
  "detail": [
    {
      "loc": ["<string>"],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}